Subject: Re: [PATCH] gitk: use UTF-8 encoding

From: Pavel Roskin <[email-masked]>
Date: Thu, 06 Oct 2005 01:34:55 -0400

On Wed, 2005-10-05 at 22:00 -0700, H. Peter Anvin wrote:
> Junio C Hamano wrote:
> > Pavel Roskin <[email-masked]> writes:
> > 
> >>gitk should try to use UTF-8 encoding for system operations, such as
> >>reading and writing files and git output.
> > 
> > I agree about commit messages, but I am not so sure about the
> > file contents (aka user data).  Is it possible to control them
> > separately?

Yes.  "encoding convertfrom" should do the trick.  In some projects, 
there may be files written in different encodings, such as gettext *.po
files.  A patch updating several *.po files would have different parts
in different encodings.

I think gitk could have a submenu in the popup menu with the encodings
to chose from.

> git needs to be able to treat user data as arbitrary binary blobs. 
> However, if interpreting as text, UTF-8 is the right default, at least.

I agree.

-- 
Regards,
Pavel Roskin